package edu.msoe.se1021;

import android.app.AlertDialog;
import android.app.Dialog;
import android.app.DialogFragment;
import android.os.Bundle;

/**
 * Generic dialog to alert user of errors. Contains a single button.
 * @author Baohuy Ung
 */
public class ErrorDialog extends DialogFragment {
    /** Allows the user to customize the title of a generic dialog*/
    private String title;
    /** Allows the user to customize the message of a generic dialog*/
    private String message;
    /** Allows the user to customize the url of a generic dialog*/
    private String url;

    /**
     * Builds a generic dialog with a error message and single "ok" button.
     * @param savedInstanceState saved arguments
     * @return
     */
    public Dialog onCreateDialog(Bundle savedInstanceState){
        AlertDialog.Builder builder = new AlertDialog.Builder(getActivity());
        builder.setTitle(title)
                .setMessage(message + " " + url)
                .setPositiveButton("OK", null);
        return builder.create();
    }

    /**
     * Allows user to set the values of the dialog
     * @param title of the dialog
     * @param message of the dialog
     * @param url of the dialog
     */
    public void setProperties(String title, String message, String url) {
        this.title = title;
        this.message = message;
        this.url = url;
    }
}
